Bug 168285 - No (useful) logging of parameters to execve
No (useful) logging of parameters to execve
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Viro
Brian Brock
: FutureFeature
Depends On:
Blocks: RHEL4U4Audit 181409
  Show dependency treegraph
 
Reported: 2005-09-14 10:19 EDT by Nathan Ehresman
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2006-0575
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 17:18:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
execve logging patch (6.56 KB, text/x-patch)
2006-05-02 13:59 EDT, Linda Wang
no flags Details

  None (edit)
Description Nathan Ehresman 2005-09-14 10:19:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
The audit tool dos not support logging of string parameters to function calls.  This is a very useful feature if you are logging calls to execve and wish to also log the parameters that were used (say on a general purpose shell account machine).

I talked about this with Steve Grubb and he asked me to file a bugzilla feature request.

Version-Release number of selected component (if applicable):
audit-1.0.3-1.fc4

How reproducible:
Always

Steps to Reproduce:
1. Instruct audit to log execve calls.
2. Examine the audit log
  

Additional info:
Comment 4 Linda Wang 2006-05-02 13:59:29 EDT
Created attachment 128502 [details]
execve logging patch
Comment 5 Jason Baron 2006-05-04 13:35:33 EDT
committed in stream U4 build 35.1. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 9 Red Hat Bugzilla 2006-08-10 17:18:36 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0575.html

Note You need to log in before you can comment on or make changes to this bug.